Subscriber Opt In
Learn about subscriber opt-in and how to do this with Mobile Text Alerts deeplinks
iMessage Opt In
Deeplinks
Generate a Deeplink with the API
Example request
curl --location 'https://api.mobile-text-alerts.com/v3/deeplinks/imessage' \
--header 'Authorization: Bearer <APIKey>' \
--header 'Content-Type: application/json' \
--data '{
"longcodeId": 12345,
"optInMessage": "Example"
}'Example successful response
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
longcodeIdnumberOptional
optInMessagestringRequired
senderNamestringOptional
Responses
200
Success
application/json
400
BadRequestError
application/json
401
UnauthorizedError
application/json
403
ForbiddenError
application/json
500
InternalServerError
application/json
post/deeplinks/imessage
POST /v3/deeplinks/imessage HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58
{
"longcodeId": 1,
"optInMessage": "text",
"senderName": "text"
}{
"success": true,
"error": "text",
"message": "text",
"data": {
"deeplinkUrl": "text"
}
}How to use a Mobile Text Alerts deeplink
Send Outbound Messages First
Are there ways to send outbound messages first via iMessage?
Last updated
Was this helpful?